<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:foresightgroup="http://foresightgroup.com/xbrl/2026" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" targetNamespace="http://foresightgroup.com/xbrl/2026" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2022-03-31" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800NNT42FFIZB1T09-2026-03-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800NNT42FFIZB1T09-2026-03-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800NNT42FFIZB1T09-2026-03-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="213800NNT42FFIZB1T09-2026-03-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://foresightgroup.com/xbrl/2026/roles/StatementOfComprehensiveIncome">
        <link:definition>01 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://foresightgroup.com/xbrl/2026/roles/StatementOfFinancialPosition">
        <link:definition>02 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://foresightgroup.com/xbrl/2026/roles/NotesAndMandatoryItems">
        <link:definition>03 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://foresightgroup.com/xbrl/2026/roles/StatementOfChangesInEquity">
        <link:definition>04 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://foresightgroup.com/xbrl/2026/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://foresightgroup.com/xbrl/2026/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="foresightgroup_FairValueGainsOnContingentConsiderationInclFinanceExpense" xbrli:balance="credit" xbrli:periodType="duration" name="FairValueGainsOnContingentConsiderationInclFinanceExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_CurrentAcquisitionRelatedLiabilities" xbrli:balance="credit" xbrli:periodType="instant" name="CurrentAcquisitionRelatedLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_NonCurrentAcquisitionRelatedLiabilities" xbrli:balance="credit" xbrli:periodType="instant" name="NonCurrentAcquisitionRelatedLiabilities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_SharesHeldInEscrowReserve" xbrli:balance="credit" xbrli:periodType="instant" name="SharesHeldInEscrowReserve" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_OwnShareReserve" xbrli:balance="credit" xbrli:periodType="instant" name="OwnShareReserve" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_GroupReorganisationReserve" xbrli:balance="credit" xbrli:periodType="instant" name="GroupReorganisationReserve" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_SharesHeldInEscrowReserveMember" xbrli:periodType="duration" abstract="true" name="SharesHeldInEscrowReserveMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="foresightgroup_OwnShareReserveMember" xbrli:periodType="duration" abstract="true" name="OwnShareReserveMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="foresightgroup_GroupReorganisationReserveMember" xbrli:periodType="duration" abstract="true" name="GroupReorganisationReserveMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="foresightgroup_TransferOfTreasurySharesOnExerciseOfShareOptions" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOfTreasurySharesOnExerciseOfShareOptions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_TransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_PremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan" xbrli:balance="credit" xbrli:periodType="duration" name="PremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_LossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="LossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_ProfitBeforeTaxClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="ProfitBeforeTaxClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions" xbrli:balance="credit" xbrli:periodType="duration" name="AdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AdjustmentsForDecreaseIncreaseInContractCosts" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForDecreaseIncreaseInContractCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_EarnOutConsiderationPaidClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="EarnOutConsiderationPaidClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_InitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="InitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_ProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_ContingentConsiderationPaidClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="ContingentConsiderationPaidClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_AcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_FGLLPMembersCapitalContributionsClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="FGLLPMembersCapitalContributionsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_PurchaseOfOwnSharesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfOwnSharesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_PurchaseOfTreasurySharesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfTreasurySharesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_ProceedsFromLeaseIncentivesClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsFromLeaseIncentivesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_InterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="InterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_OtherInterestPaidClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="OtherInterestPaidClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="foresightgroup_DisclosureOfImpactOfSustainabilityAndClimateChange" xbrli:periodType="duration" name="DisclosureOfImpactOfSustainabilityAndClimateChange" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="foresightgroup_DisclosureOfContractAssets" xbrli:periodType="duration" name="DisclosureOfContractAssets" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="foresightgroup_DisclosureOfAcquisitionRelatedLiabilities" xbrli:periodType="duration" name="DisclosureOfAcquisitionRelatedLiabilities" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="foresightgroup_DescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="foresightgroup_DisclosureOfUltimateHoldingCompany" xbrli:periodType="duration" name="DisclosureOfUltimateHoldingCompany" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
</xs:schema>